Details
curl --request GET \
--url 'https://api.themoviedb.org/3/credit/{credit_id}?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/credit/{credit_id}?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/credit/{credit_id}?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_type": "cast",
"department": "Acting",
"id": "52fe48009251416c750aca6b",
"job": "Actor",
"media": {
"adult": false,
"backdrop_path": "/vL5LR6WdxWPjLPFRLe133jXWsh5.jpg",
"character": "Shuttle Pilot",
"genre_ids": [
28,
12,
14,
878
],
"id": 19995,
"media_type": "movie",
"original_language": "en",
"original_title": "Avatar",
"overview": "In the 22nd century, a paraplegic Marine is dispatched to the moon Pandora on a unique mission, but becomes torn between following orders and protecting an alien civilization.",
"popularity": 105.233,
"poster_path": "/kyeqWdyUXW608qlYkRqosgbbJyK.jpg",
"release_date": "2009-12-15",
"title": "Avatar",
"video": false,
"vote_average": 7.583,
"vote_count": 31560
},
"media_type": "movie",
"person": {
"adult": false,
"gender": 2,
"id": 1207227,
"known_for_department": "Acting",
"media_type": "person",
"name": "James Patrick Pitt",
"original_name": "James Patrick Pitt",
"popularity": 0.515,
"profile_path": "/xiL0EwEAqfburE9Bzmbepvk2KFz.jpg"
}
}Credits
Details
This endpoint is used to get a movie or TV credit details by ID
GET
/
3
/
credit
/
{credit_id}
Details
Authorizations
Path Parameters
integer
Example:
"52fe48009251416c750aca6b"
Was this page helpful?
⌘I